6.0.0-git
2019-09-15

[#13376] Calendar entry hidden/overlapped
Summary Calendar entry hidden/overlapped
Queue Kronolith
Queue Version 4.2.0
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester lauffer (at) ph-freiburg (dot) de
Created 2014-07-17 (1886 days ago)
Due
Updated 2014-08-29 (1843 days ago)
Assigned
Resolved 2014-08-29 (1843 days ago)
Milestone 4.2.2
Patch No

History
2014-08-29 10:19:47 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 886c91eb15ec793f5dc8b72460c39516db64cac4
Author: Jan Schneider <jan@horde.org>
Date:   Wed Aug 27 21:04:24 2014 +0200

     Simplify and improve overlapping algorithm (Bug #13376).

  kronolith/js/kronolith.js |   58 ++++++++++++++++----------------------------
  1 files changed, 21 insertions(+), 37 deletions(-)

http://github.com/horde/horde/commit/886c91eb15ec793f5dc8b72460c39516db64cac4
2014-08-29 10:08:54 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
Milestone ⇒ 4.2.2
 
2014-08-29 09:10:17 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit 4ed0b588baec1eb612abc5bbdd61042ff6d06e9c
Author: Jan Schneider <jan@horde.org>
Date:   Wed Aug 27 21:04:24 2014 +0200

     Simplify and improve overlapping algorithm (Bug #13376).

  kronolith/js/kronolith.js |   58 ++++++++++++++++----------------------------
  1 files changed, 21 insertions(+), 37 deletions(-)

http://github.com/horde/horde/commit/4ed0b588baec1eb612abc5bbdd61042ff6d06e9c
2014-07-17 09:48:39 lauffer (at) ph-freiburg (dot) de Comment #3
New Attachment: kronolith_agenda.png Download
Reply to this comment
the four entries listed in the agenda overview.
2014-07-17 09:47:19 lauffer (at) ph-freiburg (dot) de Comment #2
New Attachment: kronolith_hidden_entry.png Download
Reply to this comment
dynamic... day view...four entries, one hidden...
2014-07-17 09:39:24 lauffer (at) ph-freiburg (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Calendar entry hidden/overlapped
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
Users reported us hidden calendar entries in the dynamic view. First 
they were found with entries of shared calendars. So wie tried to 
reproduce in a simple setup.

How to reproduce:
-------------------------
Create four entries in your own calendar with f.e.:

07:00 - 10:00
07:00 - 08:00
08:00 - 10:00
08:00 - 10:00

One of the last ones (08:00 - 10:00) will be completely overlapped and hidden.

I guess it is not that easy to fix the problem with another 
view/layout. So I think about a warning icon (or something like this) 
if one entry overlapps another. What do you think?

Best regards,
Stephan

Saved Queries